# Uses of Interface
org.springframework.aot.generate.ValueCodeGenerator.Delegate

Packages that use ValueCodeGenerator.Delegate
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of ValueCodeGenerator.Delegate in org.springframework.aot.generate

Classes in org.springframework.aot.generate that implement ValueCodeGenerator.Delegate
Modifier and Type
Class
Description
`static class`
`ValueCodeGeneratorDelegates.CollectionDelegate<T extends Collection<?>>`
Abstract `ValueCodeGenerator.Delegate` for `Collection` types.
`static class`
`ValueCodeGeneratorDelegates.MapDelegate`
`ValueCodeGenerator.Delegate` for `Map` types.
Fields in org.springframework.aot.generate with type parameters of type ValueCodeGenerator.Delegate
Modifier and Type
Field
Description
`static final List<ValueCodeGenerator.Delegate>`
ValueCodeGeneratorDelegates.`INSTANCES`
A list of `ValueCodeGenerator.Delegate` implementations for the following common value types.
Methods in org.springframework.aot.generate with parameters of type ValueCodeGenerator.Delegate
Modifier and Type
Method
Description
`static ValueCodeGenerator`
ValueCodeGenerator.`with(ValueCodeGenerator.Delegate... delegates)`
Create an instance with the specified `ValueCodeGenerator.Delegate` implementations.
Method parameters in org.springframework.aot.generate with type arguments of type ValueCodeGenerator.Delegate
Modifier and Type
Method
Description
`ValueCodeGenerator`
ValueCodeGenerator.`add(List<ValueCodeGenerator.Delegate> additionalDelegates)`
`static ValueCodeGenerator`
ValueCodeGenerator.`with(List<ValueCodeGenerator.Delegate> delegates)`
Create an instance with the specified `ValueCodeGenerator.Delegate` implementations.